com.io7m.jstructural.annotated

## Class SASectionWithSubsections

- java.lang.Object
- - com.io7m.jstructural.annotated.SASection
  - - com.io7m.jstructural.annotated.SASectionWithSubsections

- All Implemented Interfaces:
    SAIDTargetContent

      public final class SASectionWithSubsections
      extends SASection

  The type of sections containing paragraphs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SASectionWithSubsections(SASectionNumber in_number, com.io7m.jfunctional.OptionType<String> in_type, com.io7m.jfunctional.OptionType<SAID> in_id, SASectionTitle in_title, com.io7m.jfunctional.OptionType<SSectionContents> in_contents, SNonEmptyList<SASubsection> in_subsections, List<SAFootnote> in_footnotes)` Construct a new section with top-level subsections.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `SNonEmptyList<SASubsection>` | `getSubsections()`
    `int` | `hashCode()`
    `<A> A` | `sectionAccept(SASectionVisitor<A> v)` Accept a section visitor.
    `<T> T` | `targetContentAccept(SAIDTargetContentVisitor<T> v)` Accept an ID target content visitor.

    - ### Methods inherited from class com.io7m.jstructural.annotated.SASection

      `getContents, getFootnotes, getID, getNumber, getTitle, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SASectionWithSubsections

          public SASectionWithSubsections(SASectionNumber in_number,
                                          com.io7m.jfunctional.OptionType<String> in_type,
                                          com.io7m.jfunctional.OptionType<SAID> in_id,
                                          SASectionTitle in_title,
                                          com.io7m.jfunctional.OptionType<SSectionContents> in_contents,
                                          SNonEmptyList<SASubsection> in_subsections,
                                          List<SAFootnote> in_footnotes)

      Construct a new section with top-level subsections.
      Parameters:
        `in_number` - The section number
        `in_type` - The type attribute
        `in_id` - The ID
        `in_title` - The section title
        `in_contents` - The section table of contents
        `in_subsections` - The subsections
        `in_footnotes` - The footnotes

  - ### Method Detail

    - #### equals

          public boolean equals(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `SASection`

    - #### getSubsections

          public SNonEmptyList<SASubsection> getSubsections()

      Returns:
        The section content

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SASection`

    - #### sectionAccept

          public <A> A sectionAccept(SASectionVisitor<A> v)
                              throws Exception

      Description copied from class: `SASection`
      Accept a section visitor.
      Specified by:
        `sectionAccept` in class `SASection`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor
      Throws:
        `Exception` - If the visitor raises an `Exception`

    - #### targetContentAccept

          public <T> T targetContentAccept(SAIDTargetContentVisitor<T> v)
                                    throws Exception

      Description copied from interface: `SAIDTargetContent`
      Accept an ID target content visitor.
      Type Parameters:
        `T` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

Copyright © 2015 <code@io7m.com> http://io7m.com